Databases
cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrade -> 11.0 w AutoRaid and Tape Library

SOLVED
Go to solution
Donald Kok
Respected Contributor

Upgrade -> 11.0 w AutoRaid and Tape Library

I plan to migrate my K380 from 10.20 to 11.0. Do I have to take special care for the AutoRaid and Tape Library (2/20)? Are they standard supported on 11.0 or do I have to load special software to access them.
Tanx
My systems are 100% Murphy Compliant. Guaranteed!!!
7 REPLIES
Darrel Louis
Honored Contributor
Solution

Re: Upgrade -> 11.0 w AutoRaid and Tape Library

Donald,

Which AutoRaid are we talking about.
You don't need any special software for the Autoraid or Surestore. Make sure you have the latest patches loaded.
Call HP and let them check the firmware for the Server, Surestore and Autoraid.

I hope you mean with migrate, cold install.
It's better to do a Cold Install instead of Upgrade.

Regards

Darrel
Donald Kok
Respected Contributor

Re: Upgrade -> 11.0 w AutoRaid and Tape Library

AutoRaid is Aray Model 12H

I DO want to upgrade. I do not want to install al the software.
If migration fails, I recover from an ignite tape.
My systems are 100% Murphy Compliant. Guaranteed!!!
Darrel Louis
Honored Contributor

Re: Upgrade -> 11.0 w AutoRaid and Tape Library

Donald,

BDP(Best Demonstrated Practices) has proven that cold install is better than upgrade.
- Performance problems
- 10.20 stuff still on the system
etc.

Also read the following:
http://devresource.hp.com/STK/decision.html

Regards

Darrel
MARTINACHE
Respected Contributor

Re: Upgrade -> 11.0 w AutoRaid and Tape Library

Hi,

I upgraded a K570 from to 11.00 64bits few monthes ago.

No problem for 12H.

I had a problem with the DLT library because the major number of /dev/picker was wrong after the upgrade. I needed to make a mknod manually.

Don't forget to verify your firmware level with HP.

Regards,

Patrice.
Patrice MARTINACHE
Darrel Louis
Honored Contributor

Re: Upgrade -> 11.0 w AutoRaid and Tape Library

Dave Wherry
Esteemed Contributor

Re: Upgrade -> 11.0 w AutoRaid and Tape Library

What is on the AutoRaid? Not to say it is not done, but typically the operating system is loaded on internal disks. If it is not the operating system on the AutoRaid, vg00 for the most part, you can vgexport any volume groups on the AutoRaid. Then vgimport the volume groups after the operating system has been installed.
This goes back to the recomendation to install 11.x rather than upgrade. It really is much cleaner.
As for your tape library, it will work fine. You may have to create a new device file for the robot. That had to be done when it was originally installed. Not a big deal.
Dave Wherry
Esteemed Contributor

Re: Upgrade -> 11.0 w AutoRaid and Tape Library

Oops,
Also forgot the other standard answer regarding upgrades. Have HP check and update if needed, your firmware before you begin.
Old firmware could give you trouble with the AutoRaid. The tape library came out way after UX 11.x so it should work. Might as well have the latest any way.